Difference between revisions of "QtWebEngine/ChromiumVersions"

From Qt Wiki
Jump to: navigation, search
(Added some versions)
 
(5 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
The Chromium version that is part of each Qt WebEngine version can be determined by:
 
The Chromium version that is part of each Qt WebEngine version can be determined by:
* CHecking out the [https://doc.qt.io/qt-5/qtwebengine-overview.html#qt-webengine-core-module documentation] of the respective Qt Version
+
* Checking out the [https://doc.qt.io/qt-5/qtwebengine-overview.html#qt-webengine-core-module documentation] of the respective Qt Version
 
* Checking out the default [https://duckduckgo.com/?q=what+is+my+user+agent user agent] sent to a server
 
* Checking out the default [https://duckduckgo.com/?q=what+is+my+user+agent user agent] sent to a server
 
* Looking into the [https://code.qt.io/cgit/qt/qtwebengine.git/tree/dist change logs]
 
* Looking into the [https://code.qt.io/cgit/qt/qtwebengine.git/tree/dist change logs]
Line 6: Line 6:
 
git show v5.12.0:tools/scripts/version_resolver.py | pcregrep -o1 "chromium_version *= *'(.*)'"
 
git show v5.12.0:tools/scripts/version_resolver.py | pcregrep -o1 "chromium_version *= *'(.*)'"
 
</syntaxhighlight>
 
</syntaxhighlight>
 +
 +
(Note, that QtWebEngine was frist provided in Qt6 with Qt 6.2.0. So there are entries neither for Qt 6.0.x, or for 6.1.x)
  
 
{| class="wikitable"
 
{| class="wikitable"
Line 11: Line 13:
 
! Qt Version !! Chromium Version
 
! Qt Version !! Chromium Version
 
|-
 
|-
|5.13.2
+
| dev (planned for 6.4) || 98.0.4758.90
|73.0.3683.105
+
|-
 +
| 6.3.0 || 94.0.4606.126
 +
|-
 +
| 6.2.0 || 90.0.4430.228
 
|-
 
|-
|5.13.1
+
| 5.15.3–5.15.x || 87.0.4280.144
|73.0.3683.105
 
 
|-
 
|-
|5.13.0
+
| 5.15.2 || 83.0.4103.122
|73.0.3683.105
 
 
|-
 
|-
|5.12.5
+
| 5.15.0–5.15.1 || 80.0.3987.136
|69.0.3497.113
 
 
|-
 
|-
|5.12.4
+
| 5.14.0–5.14.1 || 77.0.3865.98
|69.0.3497.113
 
 
|-
 
|-
| 5.12.3 || 69.0.3497.113
+
| 5.13.0–5.13.2 || 73.0.3683.105
 
|-
 
|-
| 5.12.2 || 69.0.3497.113
+
| 5.12.0–5.12.7 || 69.0.3497.113
 
|-
 
|-
| 5.12.1 || 69.0.3497.113
+
| 5.11.0–5.11.3 || 65.0.3325.151
 
|-
 
|-
| 5.12.0 || 69.0.3497.113
+
| 5.10.1 || 61.0.3163.140
 
|-
 
|-
| 5.9.3 || 56.0.2924.122
+
| 5.10.0 || 61.0.3163.99
 
|-
 
|-
| 5.9.2 || 56.0.2924.122
+
| 5.9.0–5.9.9 || 56.0.2924.122
 
|-
 
|-
| 5.9.1 || 56.0.2924.122
+
| 5.8.0 || 53.0.2785.148
 
|-
 
|-
| 5.9.0 || 56.0.2924.122
+
| 5.7.0–5.7.1 || 49.0.2623.111
 
|-
 
|-
 
| 5.6.3 || 49.0.2623.111
 
| 5.6.3 || 49.0.2623.111
 
|-
 
|-
| 5.6.2 || 45.0.2554.101
+
| 5.6.0–5.6.2 || 45.0.2554.101
 
|-
 
|-
| 5.6.1 || 45.0.2554.101
+
| 5.5.0–5.5.1 || 40.0.2214.115
 
|-
 
|-
| 5.6.0 || 45.0.2554.101
+
| 5.4.0–5.4.2 || 37.0.2062.103
 
|}
 
|}

Latest revision as of 09:27, 25 May 2022

The Chromium version that is part of each Qt WebEngine version can be determined by:

  • Checking out the documentation of the respective Qt Version
  • Checking out the default user agent sent to a server
  • Looking into the change logs
  • Running the following shell command inside the git repository while changing the version tag as needed
    git show v5.12.0:tools/scripts/version_resolver.py | pcregrep -o1 "chromium_version *= *'(.*)'"
    

(Note, that QtWebEngine was frist provided in Qt6 with Qt 6.2.0. So there are entries neither for Qt 6.0.x, or for 6.1.x)

Qt Version Chromium Version
dev (planned for 6.4) 98.0.4758.90
6.3.0 94.0.4606.126
6.2.0 90.0.4430.228
5.15.3–5.15.x 87.0.4280.144
5.15.2 83.0.4103.122
5.15.0–5.15.1 80.0.3987.136
5.14.0–5.14.1 77.0.3865.98
5.13.0–5.13.2 73.0.3683.105
5.12.0–5.12.7 69.0.3497.113
5.11.0–5.11.3 65.0.3325.151
5.10.1 61.0.3163.140
5.10.0 61.0.3163.99
5.9.0–5.9.9 56.0.2924.122
5.8.0 53.0.2785.148
5.7.0–5.7.1 49.0.2623.111
5.6.3 49.0.2623.111
5.6.0–5.6.2 45.0.2554.101
5.5.0–5.5.1 40.0.2214.115
5.4.0–5.4.2 37.0.2062.103